Subject: Re: bug#41200: Displaying a tooltip with x-show-tip gets very slow as more faces are defined

From: Eli Zaretskii <[email-masked]>
Date: Tue, 06 Apr 2021 15:30:17 +0300

> Date: Tue, 06 Apr 2021 16:35:28 +1000
> From: Jashank Jeremy <[email-masked]>
> Cc: Clément Pit-Claudel <[email-masked]>
> 
> I have updated this patch to make it compile and behave on Emacs master
> at 1d93540371aadec8f877bd781267d38d411c40a0 (current a few hours ago).
> The updated patch is attached.
> 
> I queried Clément, who has ok'd my shepherding this patch along.
> 
> CPU profile data I've gathered suggests this change has almost entirely
> stamped out the face-related hot-spots I'd seen previously.  Hooray!

Yeah, it's a pity Clément dropped the ball on this one.